=== debian/control ===
Source: cjdns
Section: comm
Priority: optional
Maintainer: Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>
Build-Depends: debhelper (>= 9.20160114), nodejs (>= 0.8.15) | wget, python (>= 2.7),
               dh-systemd (>= 1.5), dh-python (>= 1.20141111-2)
Standards-Version: 3.9.5
Homepage: https://github.com/cjdelisle/cjdns/
Vcs-Git: git://github.com/cjdelisle/cjdns.git
Vcs-Browser: https://github.com/cjdelisle/cjdns/
X-Python-Version: >= 2.7

Package: cjdns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>= 2.7)
Suggests: cjdns-dynamic
Description: Encrypted networking for regular people
 Cjdns implements an encrypted IPv6 network using public key cryptography
 for address allocation and a distributed hash table for routing.
 This provides near zero-configuration networking without many of the security
 and robustness issues that regular IPv4 and IPv6 networks have.

Package: cjdns-dynamic
Architecture: any
Priority: extra
Depends: cjdns (= ${binary:Version}), ${misc:Depends}, python (>= 2.7)
Description: cjdns dynamic DNS peer resolver service
 This package contains a dynamic DNS peer resolver script that allows you to use
 hostnames instead of IP addresses for your cjdns mesh network peers. This
 package is configured through /etc/cjdns-dynamic.conf
